diff --git a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
index 92fc3fa4f..4413fe337 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
@@ -1248,6 +1248,11 @@ export function ResultSet() {
     let row = newRows[otherInfo.indexes[0]];
     let clientPK = rowKeyGetter(row);
 
+    // Check if column is pk and value is null set it to default value.
+    if(otherInfo.column.has_default_val && _.isNull(row[otherInfo.column.key])) {
+      row[otherInfo.column.key] = undefined;
+    }
+
     if(clientPK in (dataChangeStore.added || {})) {
       /* No need to track this */
     } else if(clientPK in (dataChangeStore.updated || {})) {
